# osdep_samD21j18a.c File Reference

Mercury API - Sample OS-dependent functions that do nothing. More...

`#include <stdint.h>`
`#include "osdep.h"`
`#include "conf_clocks.h"`

## Functions

uint32_t | tmr_gettime_low ()
uint32_t | tmr_gettime_high ()
void | tmr_sleep (uint32_t sleepms)

## Detailed Description

Mercury API - Sample OS-dependent functions that do nothing.

Author:
  Pallav Joshi

Date:
  6/14/2016

## Function Documentation

uint32_t tmr_gettime_high | ( | void |  | ) |

Return the high 32-bits of a system millisecond counter. This is used to timestamp tag reads.

uint32_t tmr_gettime_low | ( | void |  | ) |

Return the low 32-bits of a system millisecond counter. This is used internally for operation timing and to timestamp tag reads.

void tmr_sleep | ( | uint32_t | sleepms | ) |

Suspend operation for a given duration.

Parameters:

  | sleepms | The number of milliseconds to sleep for.